OpenTTD Source: CYapfDestinationTileRoadT< Types > Class Template Reference

OpenTTD Source 15.0-RC2

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes
CYapfDestinationTileRoadT< Types > Class Template Reference

## Public Types
typedef Types::Tpf | Tpf
| the pathfinder class (derived from THIS class)
typedef Types::TrackFollower | TrackFollower
typedef Types::NodeList::Item | Node
| this will be our node type
typedef Node::Key | Key
| key to hash tables

## Public Member Functions
void | SetDestination (const RoadVehicle *v)
const Station * | GetDestinationStation () const
bool | PfDetectDestination (Node &n)
| Called by YAPF to detect if node ends in the desired destination.
bool | PfDetectDestinationTile (TileIndex tile, Trackdir trackdir)
bool | PfCalcEstimate (Node &n)
| Called by YAPF to calculate cost estimate.

## Protected Member Functions
Tpf & | Yapf ()
| to access inherited path finder

## Protected Attributes
TileIndex | dest_tile
TrackdirBits | dest_trackdirs
StationID | dest_station
StationType | station_type
bool | non_artic

## Detailed Description

template<class Types>
class CYapfDestinationTileRoadT< Types >

Definition at line 223 of file yapf_road.cpp.

## Member Typedef Documentation

## ◆ Key

template<class Types >

typedef Node::Key CYapfDestinationTileRoadT< Types >::Key

key to hash tables

Definition at line 228 of file yapf_road.cpp.

## ◆ Node

template<class Types >

typedef Types::NodeList::Item CYapfDestinationTileRoadT< Types >::Node

this will be our node type

Definition at line 227 of file yapf_road.cpp.

## ◆ Tpf

template<class Types >

typedef Types::Tpf CYapfDestinationTileRoadT< Types >::Tpf

the pathfinder class (derived from THIS class)

Definition at line 225 of file yapf_road.cpp.

## ◆ TrackFollower

template<class Types >

typedef Types::TrackFollower CYapfDestinationTileRoadT< Types >::TrackFollower

Definition at line 226 of file yapf_road.cpp.

## Member Function Documentation

## ◆ GetDestinationStation()

template<class Types >

const Station * CYapfDestinationTileRoadT< Types >::GetDestinationStation | ( |  | ) | const
| inline

Definition at line 259 of file yapf_road.cpp.

## ◆ PfCalcEstimate()

template<class Types >

bool CYapfDestinationTileRoadT< Types >::PfCalcEstimate | ( | Node & | n | ) |
| inline

Called by YAPF to calculate cost estimate.

Calculates distance to the destination adds it to the actual cost from origin and stores the sum to the Node::estimate

Definition at line 294 of file yapf_road.cpp.

References OctileDistanceCost(), and CYapfDestinationTileRoadT< Types >::PfDetectDestination().

## ◆ PfDetectDestination()

template<class Types >

bool CYapfDestinationTileRoadT< Types >::PfDetectDestination | ( | Node & | n | ) |
| inline

Called by YAPF to detect if node ends in the desired destination.

Definition at line 273 of file yapf_road.cpp.

Referenced by CYapfDestinationTileRoadT< Types >::PfCalcEstimate().

## ◆ PfDetectDestinationTile()

template<class Types >

bool CYapfDestinationTileRoadT< Types >::PfDetectDestinationTile | ( | TileIndex | tile,
|  | Trackdir | trackdir
| ) |  |
| inline

Definition at line 278 of file yapf_road.cpp.

## ◆ SetDestination()

template<class Types >

void CYapfDestinationTileRoadT< Types >::SetDestination | ( | const RoadVehicle * | v | ) |
| inline

Definition at line 238 of file yapf_road.cpp.

## ◆ Yapf()

template<class Types >

Tpf & CYapfDestinationTileRoadT< Types >::Yapf | ( |  | ) |
| inlineprotected

to access inherited path finder

Definition at line 266 of file yapf_road.cpp.

## Field Documentation

## ◆ dest_station

template<class Types >

StationID CYapfDestinationTileRoadT< Types >::dest_station
| protected

Definition at line 233 of file yapf_road.cpp.

## ◆ dest_tile

template<class Types >

TileIndex CYapfDestinationTileRoadT< Types >::dest_tile
| protected

Definition at line 231 of file yapf_road.cpp.

## ◆ dest_trackdirs

template<class Types >

TrackdirBits CYapfDestinationTileRoadT< Types >::dest_trackdirs
| protected

Definition at line 232 of file yapf_road.cpp.

## ◆ non_artic

template<class Types >

bool CYapfDestinationTileRoadT< Types >::non_artic
| protected

Definition at line 235 of file yapf_road.cpp.

## ◆ station_type

template<class Types >

StationType CYapfDestinationTileRoadT< Types >::station_type
| protected

Definition at line 234 of file yapf_road.cpp.

The documentation for this class was generated from the following file:

- src/pathfinder/yapf/yapf_road.cpp